Custom field required on one tracker applies to all trackers

2023-09-12 18:54 - Jon Schell

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 4.2.1

Description

Adding a custom field to multiple trackers and I want it to be required for one of them, but there's only a global checkbox.

History

#1 - 2023-09-13 15:32 - Go MAEDA

Could you describe the problem in more detail? It would be even more helpful if you could attach screenshots.

#2 - 2023-09-13 18:22 - Jon Schell

- File Capture.PNG added

A custom field only has a single checkbox to make the field required.  But I want the field to only be required on one tracker, say Bug, and optional on

others, like Action Item.  And you can't have two custom fields with the same name, so I'd need to have some weird looking name for one or both if I

was to create two custom fields instead.

I suppose it's more of a feature request than a defect, but I consider it a deficit.

#3 - 2023-09-13 19:09 - Holger Just

- Status changed from New to Closed

You can define granular rules to make some fields (including custom fields) required per tracker, issue status, and role of the user editing the issue.

This can be configured in Administration -> Workflows -> Field permissions.

For that to work, you would enable the custom field on the desired trackers but not mark it universally required. Then, in the workflow field

permissions screen, you can mark it as required for the desired trackers / roles / statuses. Note that if a user has multiple roles in a project, Redmine

uses the most "open" permissions applicable. Thus, if any of the user's roles in the project allows the field to be unset, it will not be required to be set

for this user. Administrators are assumed to have ALL roles (including Anonymous and Non-member) in a project when deciding which fields they

have to fill.
